Subject: Re: bug#39884: 27.0.50; Emacs may destroy outgoing email messages during sending

From: Noam Postavsky <[email-masked]>
Date: Wed, 15 Apr 2020 09:11:41 -0400

tags 39884 + confirmed
quit

Rainer Gemulla <[email-masked]> writes:

> Perhaps just a typo: what's called "39884-correct-results-of-step-9"
> in your code is actually the incorrect result. I.e., step 9 should
> also produce bug-39884-correct-result.

Aha, I misread.

> I ran your lisp file via "emacs -Q -l bug-39884-bad-mml-parsing.el"
> using the emacs-27 branch as of this morning. At least on my machines,
> I am getting the incorrect result.

Yes, me too.  For some reason, I was expecting to get an error on step
9.  Upon re-reading your original report, I can't see how I thought
that.

I'll look into the code later today or tonight.